Subject: Re: ALSA fixes for non-coherent ppc32 again

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 22 Jun 2009 08:34:38 +1000

On Sun, 2009-06-21 at 20:18 +0200, Gerhard Pircher wrote:
> Hi,
> 
> Takashi Iwai posted patches to make ALSA work on non-coherent PPC32
> systems (almost exactly) a year ago. See here:
> http://www.nabble.com/-PATCH-0-3--ALSA-fixes-for-non-coherent-ppc32-to17980027.html#a17980027
> 
> As far as I can see these patches never went upstream. Where there any
> objections or did we just forget about them? It would be cool, if the
> patches could be merged now, as at least two platforms need this bugfix
> (namely Sam440 and AmigaOne).

I definitely forgot about those... But I'm fine with what Takashi did
for now, I can always make the powerpc helper for dma_mmap_coherent()
smarter later on if necessary.

Cheers,
Ben.